//
//  JMCyclePhotoView.h
//  JMCyclePhotoView
//
//  Created by DJM on 2018/3/16.
//  Copyright © 2018年 DJM. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface JMCyclePhotoView : UIView

/**
 初始化方法，支持图片数组和地址数组，支持字典
 @param frame    轮播图的frame
 @param images   展示的图片的数组，支持image、string
 @param imageKey 如果数组中是一个字典，则取图的key，如果不是字典，则传nil
 @return 初始化
 */
- (instancetype)initWithFrame:(CGRect)frame images:(NSArray *)images imageKey:(NSString *)imageKey;

/**
 图片点击回调
 @param callback 点击回调，返回当前点击的图的序号，以及当前的数据
 */
- (void)imageTapCallback:(void (^)(id data, NSInteger index))callback;

/** 自动滚动的时间间隔，默认为4秒 */
@property (nonatomic) NSInteger timeMargin;

@end
